import { getNavigationsValue } from "@brojs/cli";
import { generatePath } from "react-router-dom";

const baseUrl = getNavigationsValue("nav1.main");

export const URLs = {
  profile: {
    isOn: Boolean(getNavigationsValue("link.nav1.profile")),
    url: `${baseUrl}${getNavigationsValue("link.nav1.profile")}`,
    getUrl(userId: string, projectId: string) {
      return generatePath(this.url, { userId, projectId });
    },
  },
  about: {
    url: `${baseUrl}${getNavigationsValue("link.nav1.about")}`,
    getUrl() {
      return this.url;
    },
  },
};
