import React from 'react';

export class ErrorBoundary extends React.Component<{ children: React.ReactNode }, { hasError: boolean }> {
    constructor(props) {
        super(props);
        this.state = { hasError: false };
    }

    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void {
        
    }

    static getDerivedStateFromError(error) {
        return {
            hasError: true
        }
    }

    render() {
        const { hasError } = this.state

        return hasError ? <div>Something went wrong</div> : this.props.children;
    }
}