import React from "react";
import { generatePath, Link, useParams } from "react-router-dom";
import { getHistory } from '@brojs/cli'
import { getNavigationsValue } from "@brojs/cli";

import { URLs } from "../../__data__/urls";

const history = getHistory();
const nav2ByUrl = getNavigationsValue('link.nav1.to.nav2.profile')

export const ProfilePage = () => {
  const handletoNav2Click = (event) => {
    event.preventDefault()
    history.push(generatePath(nav2ByUrl, { userId: 'some-user-id' }));
  }

  const params = useParams<{ userId: string, prodileId: string }>();

  return (
    <div>
      <h1>profile page</h1>
      <Link to={URLs.about.getUrl()}>go to about page</Link>

      <div>
        <a onClick={handletoNav2Click} href={generatePath(nav2ByUrl, { userId: 'some-user-id' })}>edit my profile</a>
      </div>

      <pre>{JSON.stringify(params as Required<typeof params>, null, 4)}</pre>
    </div>
  );
};
