const makeStyles = (theme) => (body, ...expressions) => {
  console.log(body, expressions);
  return body.reduce((acc, cur, index) => {
    const expression = expressions[index];

    if (typeof expression === "function") {
      cur += expression(theme);
    } else if (expression) {
      cur += expression;
    }

    acc += cur;

    return acc;
  }, "");
};

let condition = false;

const css = makeStyles({ colors: { main: 'red', notmain: 'green' } })

const styles = css`
    width: 100%;
    color: ${condition ? "red" : "green"};
    background-color: ${(theme) => condition ? theme.colors.main : theme.colors.notmain};
`;

console.log("styles", styles);
